## r-cran-clustergeneration 1.3.4

=== DESCRIPTION ===
Package: clusterGeneration
Version: 1.3.4
Date: 2015-02-18
Title: Random Cluster Generation (with Specified Degree of Separation)
Author: Weiliang Qiu <stwxq@channing.harvard.edu>, Harry Joe
        <harry@stat.ubc.ca>.
Maintainer: Weiliang Qiu <stwxq@channing.harvard.edu>
Depends: R (>= 2.9.1), MASS
Description: We developed the clusterGeneration package to provide functions 
        for generating random clusters, generating random 
        covariance/correlation matrices,
        calculating a separation index (data and population version)
        for pairs of clusters or cluster distributions, and 1-D and 2-D
        projection plots to visualize clusters.  The package also
        contains a function to generate random clusters based on
        factorial designs with factors such as degree of separation,
        number of clusters, number of variables, number of noisy
        variables.
License: GPL (>= 2)
Packaged: 2015-02-18 16:55:16 UTC; stwxq
Repository: CRAN
Date/Publication: 2015-02-18 19:34:16
NeedsCompilation: no

=== debian/changelog ===
r-cran-clustergeneration (1.3.4-3build1) groovy; urgency=medium

  * No-change rebuild against r-api-4.0

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 30 May 2020 14:09:31 +0000

r-cran-clustergeneration (1.3.4-3) unstable; urgency=medium

  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 12 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Trim trailing whitespace.

 -- Andreas Tille <tille@debian.org>  Sat, 16 May 2020 15:59:41 +0200

r-cran-clustergeneration (1.3.4-2) unstable; urgency=medium

  * Rebuild for R 3.5 transition
  * Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-
    lists.debian.net>
  * dh-update-R to update Build-Depends

 -- Andreas Tille <tille@debian.org>  Fri, 01 Jun 2018 07:29:31 +0200

r-cran-clustergeneration (1.3.4-1) unstable; urgency=medium

  * Initial release (closes: #891119)

 -- Andreas Tille <tille@debian.org>  Thu, 22 Feb 2018 14:45:40 +0100

=== debian/control ===
Source: r-cran-clustergeneration
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-r,
               r-base-dev,
               r-cran-mass
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-clustergeneration
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-clustergeneration.git
Homepage: https://cran.r-project.org/package=clusterGeneration
Rules-Requires-Root: no

Package: r-cran-clustergeneration
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R random cluster generation (with specified degree of separation)
 The GNU R package clusterGeneration provides functions for generating
 random clusters, generating random covariance/correlation matrices,
 calculating a separation index (data and population version) for pairs
 of clusters or cluster distributions, and 1-D and 2-D projection plots
 to visualize clusters.  The package also contains a function to generate
 random clusters based on factorial designs with factors such as degree
 of separation, number of clusters, number of variables, number of noisy
 variables.

## r-cran-clustergeneration 1.3.7

=== DESCRIPTION ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Package: clusterGeneration
-Version: 1.3.4
-Date: 2015-02-18
+Version: 1.3.7
+Date: 2020-12-12
 Title: Random Cluster Generation (with Specified Degree of Separation)
 Author: Weiliang Qiu <stwxq@channing.harvard.edu>, Harry Joe
         <harry@stat.ubc.ca>.
-Maintainer: Weiliang Qiu <stwxq@channing.harvard.edu>
-Depends: R (>= 2.9.1), MASS
+Maintainer: Weiliang Qiu <weiliang.qiu@gmail.com>
+Depends: R (>= 3.5.0), MASS
 Description: We developed the clusterGeneration package to provide functions 
         for generating random clusters, generating random 
         covariance/correlation matrices,
@@ -17,7 +17,7 @@
         number of clusters, number of variables, number of noisy
         variables.
 License: GPL (>= 2)
-Packaged: 2015-02-18 16:55:16 UTC; stwxq
+Packaged: 2020-12-15 00:29:14 UTC; kunling
 Repository: CRAN
-Date/Publication: 2015-02-18 19:34:16
+Date/Publication: 2020-12-15 07:00:12 UTC
 NeedsCompilation: no

=== debian/changelog ===
r-cran-clustergeneration (1.3.7-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 05 Jan 2021 11:48:56 +0100

r-cran-clustergeneration (1.3.6-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 27 Nov 2020 11:46:57 +0100

r-cran-clustergeneration (1.3.5-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 13 (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 07 Oct 2020 11:14:26 +0200

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,11 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-mass
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-clustergeneration
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-clustergeneration.git
 Homepage: https://cran.r-project.org/package=clusterGeneration

## r-cran-clustergeneration 1.3.8

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: clusterGeneration
-Version: 1.3.7
-Date: 2020-12-12
+Version: 1.3.8
+Date: 2023-08-15
 Title: Random Cluster Generation (with Specified Degree of Separation)
-Author: Weiliang Qiu <stwxq@channing.harvard.edu>, Harry Joe
+Author: Weiliang Qiu <weiliang.qiu@gmail.com>, Harry Joe
         <harry@stat.ubc.ca>.
 Maintainer: Weiliang Qiu <weiliang.qiu@gmail.com>
 Depends: R (>= 3.5.0), MASS
@@ -17,7 +17,7 @@
         number of clusters, number of variables, number of noisy
         variables.
 License: GPL (>= 2)
-Packaged: 2020-12-15 00:29:14 UTC; kunling
+Packaged: 2023-08-16 02:01:35 UTC; weiliangqiu
 Repository: CRAN
-Date/Publication: 2020-12-15 07:00:12 UTC
+Date/Publication: 2023-08-16 04:20:02 UTC
 NeedsCompilation: no

=== debian/changelog ===
r-cran-clustergeneration (1.3.8-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 18 Aug 2023 14:21:31 +0200

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,18 @@
 Source: r-cran-clustergeneration
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-clustergeneration
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-clustergeneration.git
+Homepage: https://cran.r-project.org/package=clusterGeneration
+Standards-Version: 4.6.2
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-mass
-Standards-Version: 4.5.1
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-clustergeneration
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-clustergeneration.git
-Homepage: https://cran.r-project.org/package=clusterGeneration
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-clustergeneration
 Architecture: all

=== debian/watch ===
version=4
https://cran.r-project.org/src/contrib/clusterGeneration_([-\d.]*)\.tar\.gz
